Subject: RE: [Asrg] Spam, defined, and permissions

From: [email-masked]
Date: Mon, 27 Dec 2004 17:40:59 +0000 (GMT)

On Mon, 27 Dec 2004, "Hannigan, Martin" <[email-masked]> wrote:
>
>Sure it makes sense. To the end user. 

Doing something that makes sense to the end user is a good first step..  :-)

>This pushes UP costs to the
>ISP since you blow the aggregation model out of the water and must
>now guarantee a certain amount of space across every user.

I'm not sure I understand what you mean by that... care to be a bit more lucid?

If you're talking about DISK space, then (again) I claim that the amount of disk 
space (at today's prices) is ridiculously cheap, not worth talking about in the 
overall scheme of things.  (Even the FREE ISPs are giving from 250Mb, 500Mb, or 
1Gb of disk space for E-mail messages... even with mirroring, that's no more 
than a dollar or so per user, which is NOT a significant percentage of the total 
ISP operating costs.  And the ISPs that get paid by the month get paid SO much 
more (every month!) than the cost of the disk space involved that the disk space 
cost (once!) is absolutely lost in the noise.)

>
>-M<
>
>
>--
>Martin Hannigan                         (c) 617-388-2663
>VeriSign, Inc.                          (w) 703-948-7018
>Network Engineer IV                       Operations & Infrastructure
>[email-masked]
>
>
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]On Behalf Of
>> [email-masked]
>> Sent: Saturday, December 25, 2004 7:57 PM
>> To: [email-masked]; [email-masked]
>> Subject: Re: [Asrg] Spam, defined, and permissions
>> 
>> 
>> >>>> push the message storage to the user end (where it 
>> probably ought to
>> >be)
>> 
>> >>> Why is that?
>> 
>> >>1) Scaleability. There is far more aggregate processing power and
>> >aggregate
>> >disk space available within the user community to store messages than
>> >within any of the ISPs own data centers.
>> 
>> > While this may be true, 
>> 
>> I think it's almost CERTAINLY true, and probably by a LARGE factor.
>> 
>> > ...such an approach might *consume* more of these
>> resources (and bandwidth) than would rejection upstream. i.e. 
>> you'd have to
>> do a lot of figuring to convince me that n GB at end user is 
>> cheaper than m
>> GB further upstream, given that we know very little about the 
>> values of n,m
>> .
>> 
>> Rejection upstream saves sending the data through the Net but 
>> I think the 
>> evidence is NOT at all in that:
>> 
>>   1)  we can successfully define a universally agreeable 
>> standard and get it 
>> adopted in a timely way;
>> 
>>   2)  it doesn't suit recipients BETTER to give them 
>> accessible copies of ALL 
>> their mail, including the stuff that was quarantined/rejected 
>> (which means that 
>> in effect, one must (at least be prepared to) transfer the 
>> spam too anyway).
>> 
>> >>2) Cost. Both disk space and CPU cycles are probably cheaper at most
>> >end-user machines, too... most users probably have cheap(er) 
>> IDE disk drives, >
>> 
>> > Well, yes, but this (and the bandwidth) becomes an extra 
>> cost of mail
>> service. Is this what end-users want? Would they pay (perhaps 
>> more) for
>> something else? 
>> 
>> Right now, I think that they want to be rid of the annoyance 
>> of having to deal 
>> with spam, spoofing, viruses, worms, scams, and phishing.  We 
>> could spend 
>> another five years or ten years debating how to implement 
>> that in an ideal way 
>> (and it's a moving target!);  meanwhile the users get angry, 
>> legislators look at 
>> (usually stupid) legislative remedies, and halfassed stupid 
>> crap like SPF and 
>> other DNS-based "solutions" (that aren't, really) get 
>> implemented which mostly 
>> just screws things up further.  I'd rather see us come up 
>> with something that 
>> would make a major, visible improvement and do so quickly, 
>> and which users would 
>> feel like they had meaningful control over.  If we don't do 
>> it here, and soon, 
>> we'll end up coming up with the "nice" and elegant solution 
>> that the world has 
>> already passed by.
>> 
>> > Also, see the point about *consumption* above. It's all
>> very well hypothesising about costs, but some consideration 
>> of potential
>> benefits would go well here. Remember that the MTS is 
>> supposed to offer
>> service to a very wide range of end-user hardware (and pockets).
>>   
>> Sure.
>> 
>> >>3) Responsibility. 
>> 
>> > Obviously attractive to an ISP in certain circumstances, 
>> but it's not just
>> the ISP view we're considering here.
>> 
>> Right.
>> 
>> >>4) Control. 
>> 
>> > Indeed, but this isn't an argument against user control 
>> being implemented
>> upstream.
>> 
>> Right again, but then (1) the user has to pay OTHER people 
>> and OTHER systems (at 
>> a higher cost, probably, than his own) to do (hopefully) what 
>> he needs;  and (2) 
>> we're likely to spend years defining a one-size-fits-all 
>> solution (to a 
>> moving-target problem) which will end up never converging on 
>> something that 
>> everyone can agree on (we've seen a lot of that going on here 
>> already).
>> 
>> > It seems to me that your position amounts to saying that we 
>> (the community)
>> don't have a spam problem, end-users have a spam problem.  Is 
>> this right?
>> 
>> Certainly the BULK of the problem is the problem that 
>> end-users see, including 
>> getting their own machines infected and thus greatly 
>> contributing to the problem 
>> net-wide.  I don't think that the greater Net-wide spam 
>> problem has a PRAYER of 
>> being solved until we solve the problem at the end-user level 
>> (including notably 
>> the virus/worm/spambot/zombie problem).
>> 
>> 
>> Gordon Peterson                  http://personal.terabites.com/
>> 1977-2002  Twenty-fifth anniversary year of Local Area Networking!
>> Support free and fair US elections!  
>http://stickers.defend-democracy.org
>12/19/98: Partisan Republicans scornfully ignore the voters they
>"represent".
>12/09/00: the date the Republican Party took down democracy in America.
>
>
>
>_______________________________________________
>Asrg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/asrg
>.
>
>
Gordon Peterson                  http://personal.terabites.com/
1977-2002  Twenty-fifth anniversary year of Local Area Networking!
Support free and fair US elections!  http://stickers.defend-democracy.org
12/19/98: Partisan Republicans scornfully ignore the voters they "represent".
12/09/00: the date the Republican Party took down democracy in America.

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Peter Friend <[email-masked]>
Date: Mon, 27 Dec 2004 10:26:38 -0800

On Dec 27, 2004, at 9:40 AM, [email-masked] wrote:

> overall scheme of things.

A large mail system is very heavy on reads AND writes, so while disk 
space may be cheap, a system that supports actual use of that space is 
very expensive. The larger disks get, the harder and harder it gets to 
use all of the space on them. Very often you can't.

>   (Even the FREE ISPs are giving from 250Mb, 500Mb, or
> ISP operating costs.

The reason that these large quotas can be supported is not because of 
low storage costs, but because it's only a small subset of users that 
end up utilizing that kind of space. This trend will probably change 
over time as users become more savvy, but right now these power users 
are the minority. I am sure that anyone that offers this kind of space 
has done very careful study of disk usage patterns among their customer 
base. If all of their users suddenly decided to start using all of that 
space the result would likely be disastrous.

There is also the cost of maintenance for such a large disk farm, which 
requires skilled staff and good organization. Money saved on a cheap 
system comes back to haunt you when a single disk rebuild ends up 
taking most of a work day, extending the window where the dreaded 
double disk failure can occur. Not to mention the degraded performance 
that can be suffered with a rebuild on a busy system.

So, in the context of a mail system for sizable ISP, I would claim that 
storage is anything but cheap.

Peter

---

From: Barry Shein <[email-masked]>
Date: Mon, 27 Dec 2004 17:38:24 -0500

Another fallacy of the disk is cheap argument is:

Around, I dunno, 30% of the US (I think closer to 50% in Europe, and
much less elsewhere) has broadband (DSL or cable.) Let's stick to the
US for the sake of discussion.

So, around 70% doesn't, and presumably mostly live with 56k modem
service.

Typical good throughput on a 56k modem is around 4KB/sec which
translates to a MB every 250 seconds or around 13MB/hour.

So, a 250MB mailbox @ 56kb takes around TWENTY HOURS to transfer.

Even at some typical DSL speed of 1Mbit/s down that's around 1MByte/10
seconds or 250MB in 2500 seconds, or ~40 minutes but I'd be shocked if
that means much less than an hour in practice.

Who wants to wait an hour to download their mailbox? How about twenty
hours?

John McCarthy used to (maybe still) have a .sig which said "Those who
will not do arithmetic are doomed to speak nonsense". Indeed.

-- 
        -Barry Shein

Software Tool & Die    | [email-masked]           | http://www.TheWorld.com
Purveyors to the Trade | Voice: 617-739-0202        | Login: 617-739-WRLD
The World              | Public Access Internet     | Since 1989     *oo*

---

From: "Jon Kyme" <[email-masked]>
Date: Tue, 28 Dec 2004 14:57:06 +0000

> US for the sake of discussion.

er, OK, not sure how that helps the discussion ...

> will not do arithmetic are doomed to speak nonsense". Indeed.

Sorry, why would I want to "download my mailbox"? Is this an argument for
or against pushing *all* mail to the end-user?

---

From: Barry Shein <[email-masked]>
Date: Tue, 28 Dec 2004 19:46:35 -0500

> er, OK, not sure how that helps the discussion ...

It gives us one number to use in the example, with the other 140+
nations' left as an exercise for the reader. And some acknowledgement
that what is true techno-demographically about the US might also be
true about Europe or Japan or Brazil but may not be relevant in Tonga
or Malawi or Nauru, but then again we probably aren't working on any
problems of interest to Tongans or Malawians or Nauruns. So let's just
say the point being made is certainly relevant in the US and probably
in countries techno-demographically like the US, but certainly not
everywhere, not Tonga or Malawi or Nauru (well, maybe Nauru), and move
on to the discussion itself...

 > or against pushing *all* mail to the end-user?

The person whose note I was responding to thinks it should all be
end-user and all works fine because disk is cheap.

Anyhow, at some point if a 1GB mailbox is desireable, and certain
companies (e.g., those whose name rhymes with noogle) think they are,
then some significant portion of that mailbox has to be looked at or
otherwise vetted. Agreed that often one can vet by subject or other
small tokens where some vetting method exists (typically a webmail or
imap interface) but I was just pointing out THAT BIGGER HAS ITS
PROBLEMS ALSO and the fact that raw disk space is cheap doesn't solve
all those problems, at least not w/o potentially creating some others.

-- 
        -Barry Shein